#!/usr/bin/env bash


for input in `ls Adjoint/*_tec_boundary.*t`; do
    output=${input/.*t/_grid.png}
    if [ -a $output ]
    then
	if [ $output -nt $input ]
	then
	    echo ${output} ' newer than ' ${input}
	    continue # skip processed files
	fi
    fi
    echo ${input} '->' ${output}
    cp ${input} boundary2grid.dat
    tec360 -quiet -b boundary2grid.mcr
    cp boundary2grid.png ${output}
    rm boundary2grid.dat boundary2grid.png
done

