#! /bin/bash -xue

export F_UFMTENDIAN=big

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

trap "cat run_tutorial.out" EXIT

mpirun -np 8 nodet_mpi \
  > run_tutorial.out

trap - EXIT

tec360 -quiet -b -p export_png.mcr \
  -y boundary_mesh.png boundary_mesh.lay

tec360 -quiet -b -p export_png.mcr \
  -y slice_cp.png slice_cp.lay
